=== debian/changelog ===
debian-edu-config (1.448) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add forgotten script /usr/share/debian-edu-config/tools/pxe-
    add firmware to the binary package.  Make script more robust.
    Thanks to Wolfgang Schweer for discovering the problems and
    proposing fixes.
  * Move the code inserted by cfengine into the network-manager
    dispatcher.d hook into its own file, to avoid upgrade problem.
    The code is used to update the hostname from DNS.  Add code in
    postinst to remove the now obsolete conffile
    /etc/cfengine/debian-edu/cf.network-manager during upgrades.
  * Move pre-pkgsel and finish-install code to adjust tasksel and set
    up network from debian-edu-install to debian-edu-config, to make
    it easier to change the network configuration, avoid problems with
    updating the PXE installation and bringing all related
    configuration into the debian-edu-config package.  Add breaks
    debian-edu-install (<< 1.521) to ensure a new version of the
    debian-edu-install package is used.
  * Make sure finish-install script do not exit too early if the
    entropy gathering job has exited early.
  * Change default gateway from 10.0.2.1 to 10.0.0.1 and update
    DNS A and PTR records to reflect this.
  * Add GOsa netdevices object for the default gateway to make it
    easier to change its DNS entry from GOsa.
  * Enable our menu overrides on standalone installations by adding
    MENUREORDER=true in /etc/debian-edu/config.
  * Extend the dynamic DHCP range on the thin client network from 200-
    253 to 20-243, to handle more thin clients without any
    configuration.
  * Remove redundant and non-changable loopbacknet ipNetwork from
    LDAP.  It is already in /etc/network, and hardwired in the
    kernel.
  * Add empty directory /etc/skel/.local/share in package as a
    workaround for kdelibs bug #655243.
  * Get rid of hardcoded IP addresses in CUPS configuration.  Use @LOCAL
    instead of 10.0.0.0/8 and tjener instead of 10.0.2.2, to make it
    easier to change IP setup.
  * Extend the dynamic DHCP range on the backbone network from
    10.0.2.100-10.0.3.242 to 10.0.16.20-10.0.31.254  (aka 10.0.16.0/20),
    to handle more clients without any changes to the configuration.
    This allow around 4k clients to get IP addresses out of the box.
  * Add new netgroup cups-queue-autoreenable-hosts used to re-enable
    stopped CUPS print queues every hour for the members of that
    group.  Uses new tool cups-queue-autoreenable.  Make tjener a
    member by default.
  * Add new netgroup cups-queue-autoflush-hosts used to get CUPS
    servers to flush the queue every night.  Uses new tool
    cups-queue-autoflush to call 'cancel -a'.  Enable this on the
    Main-server by default.
  * Purge network-manager in the LTSP chroot, now that bug
    #592479 is fixed.
  * Updated sitesummary2ldapdhcp:
    - Use the new LDAP subtree for DHCP objects.  Report error and
      continue when failing to create DHCP object.  Teach it to create
      GOsa server objects for new hosts.
    - Adjust it to search for its LDAP administrator objects instead
      of hardcoding the DN, and allow any admin user to be used.
    - Change it to only update by default, and to add new server
      objects when -a is used.
  * Add nb translation for the gosa-netgroups module.
  * Network blocking / exam mode:
    - Rewrite debian-edu-update-netblock to set new rules using
      iptables-restore to do this as an atomic operation to get it
      working on LTSP clients.
    - Add netgroup netblock-hosts in LDAP to list machines that should
      activate the network blocking and file group nonetblk used by
      debian-edu-update-netblock to exclude selected users from
      network blocking.
    - Add cron job to consult LDAP every 5 minutes to see if network
      blocking should be enabled or not.
    - Add /sbin to PATH in debian-edu-update-netblock to get the
      script working from cron.
    - Allow system users nslcd, openldap, xrdp, www-data, avahi,
      dovecot, statd and daemon full Internet access also when network
      blocking is in effect, to make sure system services keep working
      as they should.
  * Add --previous to msgmerge call in www/Makefile to keep previous
    strings when updating tranlations.  Patch from David Prévot.
  * Rewrite build rule for the welcome page to use po4a
    (Closes: #655516).  Patch from David Prévot.
  * Remove obsolete script /usr/share/debian-edu-config/tools/ldap-users.pl.
  * Make sure all sambaSIDs are bootstrapped using $SAMBASID and fix
    typo causing duplicate sambaSid.
  * Add backup testsuite test to detect bug #626884.
  * Remove closing of file descriptors when starting bind from
    ldap-debian-edu-install which was introduced to try to solve the
    problem before we understood the entropy hang.
  * Adjust www/index.html.en to become valid XHTML.  Patch from
    David Prévot.
  * Migrate 'localadmin' user from /etc/passwd to the first LDAP user.
    Make first LDAP user a member of the teachers group to enable the
    KDE menu overrides.  If user-setup-udeb ask for information on the
    first user on the Main-Server installs, use this information when
    setting it up the first LDAP user instead of using 'localadmin' as
    the username.
  * Add new pwdchange.desktop KDE menu option for networked profiles
    to make it easier for users to figure out where to change the
    password (Closes: #653912).  Include many translations for the
    password changing menu entry using patch from Wolfgang Schweer.
  * Add workaround for #656309 in libpam-krb5 by replacing
    /usr/share/pam-configs/krb5 with our own version, to get passwd
    and all tools using it to change the kerberos password.  Using PAM
    to change the password do not change the LDAP and Samba passwords,
    and should in general be avoided.  Call 'pam-auth-update
    --package' after updating /usr/share/pam-configs/ to activate the
    change.

