## debian-edu-config 1.453

=== Makefile ===
--- 
+++ 
@@ -180,6 +180,7 @@
 	shutdown-at-night/clients-generator \
 	resolvconf/update.d/bind-debian-edu \
 	resolvconf/update.d/ltsp-chroots \
+	wicd/scripts/preconnect/set_wireless_mac_from_eth0 \
 	X11/Xsession-debian-edu \
 	samba/smbaddclient.sh \
 	samba/smbldap-machineadd-gosa
@@ -207,6 +208,7 @@
 LDIFS = \
 	root.ldif \
 	autofs.ldif \
+	firstuser.ldif \
 	ipnetworks.ldif \
 	netgroup.ldif \
 	samba.ldif \
@@ -234,6 +236,7 @@
 	index.html.es \
 	index.html.fr \
 	index.html.it \
+	index.html.ja \
 	index.html.nb \
 	index.html.nl \
 	index.html.pt \
@@ -333,6 +336,7 @@
 	set -e ; for f in \
 		share/debian-edu-config/d-i/finish-install \
 		share/debian-edu-config/d-i/pre-pkgsel \
+		share/debian-edu-config/tools/auto-addfirmware \
 		share/debian-edu-config/tools/passwd \
 		share/debian-edu-config/tools/cups-queue-autoflush \
 		share/debian-edu-config/tools/cups-queue-autoreenable \
@@ -345,10 +349,12 @@
 		share/debian-edu-config/tools/gosa-sync-dns-nfs \
 		share/debian-edu-config/tools/iceweasel-plugin-support \
 		share/debian-edu-config/tools/kerberos-kdc-init \
+		share/debian-edu-config/tools/ldap2bind-updatezonelist \
 		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
 		share/debian-edu-config/tools/ldapdump.sh \
 		share/debian-edu-config/tools/locate-syslog-collector \
 		share/debian-edu-config/tools/logoutkill.sh \
+		share/debian-edu-config/tools/ltsp-addfirmware \
 		share/debian-edu-config/tools/missing-desktop-file \
 		share/debian-edu-config/tools/movehome \
 		share/debian-edu-config/tools/nbdquery \
@@ -365,8 +371,3 @@
 		share/debian-edu-config/tools/show-welcome-webpage \
 		share/debian-edu-config/tools/sssd-generate-config \
 		share/debian-edu-config/tools/squid-update-cachedir \
-		share/debian-edu-config/tools/subnet-change \
-		share/debian-edu-config/tools/update-iceweasel-homepage \
-		share/debian-edu-config/tools/update-proxy-from-wpad \
-		share/debian-edu-config/tools/wpad-extract \
-		share/debian-edu-config/ltsp_set_runlevel \
