=== www/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
   index.html.nb \
   index.html.fr \
   index.html.it \
+  index.html.ja \
   index.html.pt \
   index.html.ru \
   index.html.zh
