=== debian/changelog ===
debian-edu-config (1.453) unstable; urgency=low

  * Team upload.

  [ David Prévot ]
  * Fix missing last entries in PXE boot menu. (Closes: #661392)
  * Fix typo in web page (spotted by Nigel Barker).

  [ Petter Reinholdtsen ]
  * Make sure ltspfs-mounter-kde do nothing when using Gnome, and make
    it more robust.
  * Update debian-edu-pxeinstall, use ln -sf when updating d-i image
    symlinks to make it possible to run the script again to update the
    PXE setup.

  [ Mike Gabriel ]
  * Fix Samba domain logon script for teachers. Also map Windows drives
    provided in netlogon/config/standarddrives-teachers.bat.

  * Translation updates:
    - Updates for German web page from Wolfgang Schweer.
    - Updates for Portuguese web page from André Lasfargues. (Closes:
      #661612)
    - Add Japanese web page from Nigel Barker.

 -- Holger Levsen <holger@debian.org>  Sat, 03 Mar 2012 12:32:15 +0100

debian-edu-config (1.452) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Make sure to syslog when ldapdump.sh is starting and stopping slapd,
    to make it easier to figure out what caused it if slapd fail to
    start.  Related to bug #659667.
  * Add locking in ldapdump.sh using lockfile-progs, to make sure only
    one such process is running at a given time (Solves Skolelinux
    bug #1213).
  * Make sure ldapdump.sh try 5 times to stop and start slapd, to reduce the
    chance of ending up without an LDAP server (Closes: #659667).
  * Log when setting up network interface, to try to figure out why it
    sometime is wrong.
  * Increase timeout for the ltspfs mount notification to 5 seconds, to
    give the user more time to read it.  Patch from Wolfgang Schweer.
  * Add new script /usr/share/debian-edu-config/ltspfs-mounter-kde
    which can be symlinked into /etc/ltspfs/mounter.d/ for those that
    want to load the freshly mounted LTSPFS directory into dolphin.
    Based on code from Wolfgang Schweer.

  * Translation updates:
    - Updates for Chinese web page from Andrew Lee.
    - Fix lang tag for Chinese, Norwegian and Portuguese.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 Feb 2012 13:27:01 +0100

debian-edu-config (1.451) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove no longer active developers Finn-Arne Johansen, Morten Werner
    Forsbring, Steffen Joeris and Klaus Ade Johnstad from uploaders
    list.
  * Add depend on ${python:Depends} for
    /etc/ltspfs/mounter.d/edu-notify, build-depend on python-support
    and add dh_pysupport to rules to get it working.  Thank you
    lintian for discovering this.
  * Fix typo in gosa-create, make sure #! is first on the first line.
    Thank you lintian for discovering the problem.
  * Improve first-user related debconf template text and flag them
    as only for internal use, to keep lintian happy.
  * Mention which arguments for subnet-change are autodetected.
  * Make sure cups-queue-autoreenable talk to CUPS using the loopback
    interface to be allowed to re-enable print queues, and improve error
    reporting if cupsenable fail.
  * Make sure cups-queue-autoflush talk to CUPS using the loopback
    interface to be allowed to flush all print queues.
  * Rewrite sitesummary2ldapdhcp to create GOsa netdevices instead of
    servers, to make sure the objects can be removed.
  * Adjust sitesummary2ldapdhcp to not create new LDAP objects if a
    object with the same MAC address alrady exist.

  [ Mike Gabriel ]
  * Set copyPaste flag to true in /etc/gosa/gosa.conf.

  * Translation updates:
    - Updates for French web page from David Prévot.
    - Updates for Spanish web page from Hector Oron.
    - Updates for Catalan web page from Hector Oron.
    - Fixed orthographic error in spanish web page from José L. Redrejo
      Rodríguez.
    - Fix typo in German web page from Holger Levsen.

 -- Holger Levsen <holger@debian.org>  Sat, 11 Feb 2012 21:59:19 +0100

debian-edu-config (1.450) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Document that debian-edu-munin-node.conf need to change when using
    subnet-change.
  * Move libjavascript-perl from depends to recommends, to see if it still
    is installed and to get our packages to propagate to wheezy while we
    figure out a solution for #631045.
  * Raise versioned dependency on education-tasks from (>= 0.842~svn60380)
    (>= 0.853), to ensure we get the current one and detect when only the
    old version is available.

  * Translation updates:
    - Updates Indonesian debconf translation from Kurniawan Haikal (Closes: #658563).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 05 Feb 2012 13:36:01 +0100

debian-edu-config (1.449) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove obsolete mimelnk/applnk/msword.desktop file, as Squeeze
    handle doc files just fine without it.
  * Change password hash for the 'admin' LDAP user from {CRYPT} to
    {SSHA}, to get a hash type understood by GOsa and allow the
    password to be changed from within GOsa.  Both work with LDAP
    bind.
  * Add new tool auto-addfirmware to automatically detect firmware
    needed by kernel modules and install them from non-free.
  * Add new tool ltsp-addfirmware to make it easier to add required
    firmware to the LTSP initrd.  Based on code from Wolfgang Schweer.
  * In kerberos-kdc-init, give slapd 5 seconds to start to make sure
    slapd is operational when kerberos try to talk to it.
  * Make sure all gosa hook scripts syslog with the script name in the
    syslog tag.
  * Make sure the output from kadmin.local in gosa-sync is syslogged
    when changing password, to make it possible to figure out why when
    it fail.
  * Rewrite gosa-sync to avoid exposing the new password in the process
    list for every local user to see.
  * Disable workaround for #656309 in libpam-krb5 on Roaming
    Workstations, as they use libpam-sss and not libpam-krb5.
  * Re-enable cfengine rules for nslcd.conf and ldap.conf on Roaming

