=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
 	dh_link
+	dh_pysupport
 	dh_gencontrol
 	dh_gconf  --priority=50
 	dh_strip
