## debian-edu-config 1.702

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PROGS = \
 	debian-edu-ldapserver \
+	debconf-set-selections-edu \
 	ltsp-arch-debian-edu \
 	update-ini-file
 
@@ -361,6 +362,7 @@
 		share/debian-edu-config/tools/nbdswap-cleanup \
 		share/debian-edu-config/tools/nightkill.sh \
 		share/debian-edu-config/tools/notify-local-users \
+		share/debian-edu-config/tools/password-fix-squeeze-r0 \
 		share/debian-edu-config/tools/pipegraph \
 		share/debian-edu-config/tools/preseed-ldap-kerberos \
 		share/debian-edu-config/tools/preseed-sitesummary \
@@ -369,5 +371,3 @@
 		share/debian-edu-config/tools/run-at-firstboot \
 		share/debian-edu-config/tools/setup-roaming \
 		share/debian-edu-config/tools/show-welcome-webpage \
-		share/debian-edu-config/tools/sssd-generate-config \
-		share/debian-edu-config/tools/squid-update-cachedir \
