=== www/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # as the english original.  xmllint can be used to find XML errors.
 
 WEBPAGES = \
+  index.html.da \
   index.html.de \
   index.html.en \
   index.html.ca \
