=== debian/changelog ===
debian-edu-config (1.702) unstable; urgency=low

  [ Mike Gabriel ]
  * In gosa-create script: Invalidate libnss cache before applying chown
    on new home directories. Fixes multiple failures during mass user
    import into GOsa².
  * password-fix-squeeze-r0: allow home[0-9] as home directory.
  * Fix smbaddclient.sh, use ,,set +e'' instead of non-bash-syntax
    ,,unset -e''.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 02 Dec 2012 12:20:39 +0100

debian-edu-config (1.701) unstable; urgency=low

  * Drop start-wlan initscript, which is disabled since 2007 and has seen it's
    last development in 2005. (Closes: #602621)
  * Drop report-reboot initscript which is disabled since years and which just
    duplicates (but not matches) logchecks functionality. (Closes: #602622)
  * Update README to refer to architecture design of Squeeze at least. 

 -- Holger Levsen <holger@debian.org>  Sat, 23 Jun 2012 00:52:18 +0200

debian-edu-config (1.700) unstable; urgency=medium

  * Bump version number to 1.700 to make obvious this is targeted for wheezy.
  * Drop debian-edu-config-gosa-netgroups package and make debian-edu-config
    replace it. (Closes: #662967)

 -- Holger Levsen <holger@debian.org>  Sun, 10 Jun 2012 15:37:14 +0200

debian-edu-config (1.454~svn77318) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Fix typo in output from debian-edu-update-netblock.
  * Make sure to send output from debian-edu-update-netblock cron job
    to /dev/null, to avoid emails every 5 minutes.  Syslogging should
    be enough output from the cron job.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 11 Apr 2012 00:43:49 +0200

debian-edu-config (1.454~svn77208) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Add new tool password-fix-squeeze-r0 to correct users with only
    two days password expiration time in Kerberos, cleaning up after
    bug #664596.
  * Change creation of first user to use the same Kerberos policy
    as all other users.
  * Make sure to quote handling of clear text passwords when setting
    up LDAP and Kerberos during installation, in case they include
    some shell special characters.  Partly solve #664976.
  * Add a copy of debconf-set-selections called
    debconf-set-selections-edu from debconf version 1.5.36.1 to fix
    #636219 and allow us to handle '#' characters in the root or first
    users password.
  * Use our own debconf-set-selections-edu when passing passwords from
    d-i to /target/, to make sure '#' is allowed in the passwords
    (Closes: #664976).
  * Fixes for gosa-sync (updating Kerberos password):
    - Make sure all variables are quoted, to make script more robust.
      Thanks to Steven Chamberlain for the suggestion.
    - Make sure script do not fail if the password contain the "
      character.  Based on patch from Samuel Krempp.  Partly fixes
      #665696.  The rest need to be fixed in the GOsa² code.
    - Stop syslogging the new passoword string when changing password
      in GOsa².

  [ David Prévot ]
  * index.html.en: Fix starting uppercase in language name (respect localized
    typographic rules).

  [ Wolfgang Schweer ]
  * tools/gosa-create: Fix email address for new user's welcome mail.
  * Correct Kerberos user policy, make sure to not expire password
    after 2 days, but instead use default [none] (Closes: #664596).

  * Translation updates:
    - Add Danish web page from Joe Hansen. (Closes: #664790)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 27 Mar 2012 11:21:34 +0200
