=== debian/control ===
--- 
+++ 
@@ -16,18 +16,10 @@
 Depends: ${misc:Depends}, ${python:Depends}, debconf-utils, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, openssl, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, discover, tftp | tftp-hpa, debian-edu-artwork, education-tasks (>= 0.853), net-tools, patch, base-files (>= 5.3), python-notify, libterm-readkey-perl, fping, ldap-utils, libnet-netmask-perl, smbldap-tools, lockfile-progs
 Recommends: resolvconf, ddccontrol | xresprobe, syslinux, memtest86+, libnotify-bin, lsof, libjavascript-perl
 Suggests: atftpd | tftpd-hpa
-Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617)
+Breaks: nslcd (<< 0.7.7), dhcp3-client (<< 4.1.1-P1-9), dhcp3-server (<< 4.1.1-P1-9), slapd (<< 2.4.23-5), debian-edu-install (<< 1.521~svn74617), debian-edu-config-gosa-netgroups (<< 1.699)
+Replaces: debian-edu-config-gosa-netgroups (<< 1.699~)
+Provides: debian-edu-config-gosa-netgroups
 Description: Configuration files for Skolelinux systems
  Installs cfengine config files to be used by the machines set up as part
  of the Skolelinux project.
 
-Package: debian-edu-config-gosa-netgroups
-Architecture: all
-Depends: ${misc:Depends}, gosa
-Conflicts: gosa (>= 2.7)
-Description: netgroups plugin for GOsa²
- NIS Netgroups plugin.
- .
- GOsa² is a combination of system-administrator and end-user web
- interface, designed to handle LDAP based setups.
-
