=== debian/rules ===
--- 
+++ 
@@ -37,8 +37,6 @@
 	# Start it after 15bind9, 19slapd and 95fetch-ldap-cert, and add some to be sure
 	dh_installinit --init-script iceweasel-ldapconf -r --no-start -u"start 96 2 3 4 5 ."
 	dh_installinit --init-script enable-nat --no-start
-	dh_installinit --init-script start-wlan --no-start
-	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
 	dh_installchangelogs
 	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
 	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
